import { Router } from 'express'
import { getMergedMetadata } from '../meta.js'

const router = new Router()

router.get('/meta', async (req, res, next) => {
  try {
    res.body = await getMergedMetadata({ version: res.version })
    res.headers = { 'content-type': 'application/json' }
  } catch (err) {
    next(err)
  } finally {
    next()
  }
})

export default router
